MoreTextInternal::Paragraph Struct Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
MoreTextInternal::Paragraph Struct Reference

Internal: the paragraph of a MoreText. More...

Inheritance diagram for MoreTextInternal::Paragraph:

## Public Member Functions
| Paragraph ()
| constructor More...
virtual | ~Paragraph ()
| destructor More...
void | setLeftMargin (double margin, bool fromParent)
| set the left margin in inch More...
void | setRightMargin (double margin, bool fromParent)
| set the right margin in inch More...
void | updateToFinalState (MWAWParagraph const &parent, int level, MWAWListManager &listManager)
| update the paragraph to obtain the final paragraph More...
Public Member Functions inherited from MWAWParagraph
| MWAWParagraph ()
| constructor More...
virtual | ~MWAWParagraph ()
| destructor More...
bool | operator== (MWAWParagraph const &p) const
| operator== More...
bool | operator!= (MWAWParagraph const &p) const
| operator!= More...
int | cmp (MWAWParagraph const &p) const
| a comparison function More...
double | getMarginsWidth () const
| return the paragraph margin width (in inches) More...
bool | hasBorders () const
| check if the paragraph has some borders More...
bool | hasDifferentBorders () const
| check if the paragraph has different borders More...
void | resizeBorders (size_t newSize)
| a function used to resize the borders list ( adding empty borders if needed ) More...
void | setInterline (double value, librevenge::RVNGUnit unit, LineSpacingType type=Fixed)
| set the interline More...
void | addTo (librevenge::RVNGPropertyList &propList, bool inTable) const
| add to the propList More...
void | insert (MWAWParagraph const &para)
| insert the set values of para in the actual paragraph More...

## Public Attributes
double | m_marginsFromParent [2]
| the left and right margins from parent in inches More...
int | m_listType
| the list type (0: none, 1: leader, ...) More...
MWAWListLevel | m_customListLevel
| a custom list level ( only defined if m_listType>=0xb) More...
bool | m_pageBreak
| true if we need to add a page break before More...
bool | m_keepOutlineTogether
| true if we need to keep outline together More...
Public Attributes inherited from MWAWParagraph
MWAWVariable< double > | m_margins [3]
| the margins More...
MWAWVariable< librevenge::RVNGUnit > | m_marginsUnit
| the margins INCH, ... More...
MWAWVariable< double > | m_spacings [3]
| the line spacing More...
MWAWVariable< librevenge::RVNGUnit > | m_spacingsInterlineUnit
| the interline unit PERCENT or INCH, ... More...
MWAWVariable< LineSpacingType > | m_spacingsInterlineType
| the interline type: fixed, atLeast, ... More...
MWAWVariable< std::vector< MWAWTabStop > > | m_tabs
| the tabulations More...
MWAWVariable< bool > | m_tabsRelativeToLeftMargin
| true if the tabs are relative to left margin, false if there are relative to the page margin (default) More...
MWAWVariable< Justification > | m_justify
| the justification More...
MWAWVariable< int > | m_breakStatus
| a list of bits: 0x1 (unbreakable), 0x2 (do not break after) More...
MWAWVariable< libmwaw::WritingMode > | m_writingMode
| the writing mode More...
MWAWVariable< int > | m_listLevelIndex
| the actual level index More...
MWAWVariable< int > | m_listId
| the list id (if know ) More...
MWAWVariable< int > | m_listStartValue
| the list start value (if set ) More...
MWAWVariable< MWAWListLevel > | m_listLevel
| the actual level More...
MWAWVariable< MWAWColor > | m_backgroundColor
| the background color More...
std::vector< MWAWVariable< MWAWBorder > > | m_borders
| list of border ( order MWAWBorder::Pos) More...
std::string | m_styleName
| the style name More...
std::string | m_extra
| a string to store some errors More...

## Additional Inherited Members
Public Types inherited from MWAWParagraph
enum | { NoBreakBit = 0x1, NoBreakWithNextBit =0x2 }
| some bit use to defined the break status More...
enum | Justification { JustificationLeft, JustificationFull, JustificationCenter, JustificationRight, JustificationFullAllLines }
| an enum used to defined the paragraph justification: left, center, right, full ... More...
enum | LineSpacingType { Fixed, AtLeast }
| the line spacing type: fixed or at least More...

## Detailed Description

Internal: the paragraph of a MoreText.

## Constructor & Destructor Documentation

MoreTextInternal::Paragraph::Paragraph | ( |  | ) |
| inline

constructor

MoreTextInternal::Paragraph::~Paragraph | ( |  | ) |
| virtual

destructor

Referenced by Paragraph().

## Member Function Documentation

void MoreTextInternal::Paragraph::setLeftMargin | ( | double | margin,
|  | bool | fromParent
| ) |  |
| inline

set the left margin in inch

Referenced by MoreText::readOutline().

void MoreTextInternal::Paragraph::setRightMargin | ( | double | margin,
|  | bool | fromParent
| ) |  |
| inline

set the right margin in inch

Referenced by MoreText::readOutline().

void MoreTextInternal::Paragraph::updateToFinalState | ( | MWAWParagraph const & | parent,
|  | int | level,
|  | MWAWListManager & | listManager
| ) |  |
| inline

update the paragraph to obtain the final paragraph

Referenced by MoreText::sendTopic().

## Member Data Documentation

MWAWListLevel MoreTextInternal::Paragraph::m_customListLevel

a custom list level ( only defined if m_listType>=0xb)

Referenced by MoreText::readOutline(), and updateToFinalState().

bool MoreTextInternal::Paragraph::m_keepOutlineTogether

true if we need to keep outline together

Referenced by MoreText::readOutline().

int MoreTextInternal::Paragraph::m_listType

the list type (0: none, 1: leader, ...)

Referenced by MoreText::readOutline(), MoreText::sendTopic(), and updateToFinalState().

double MoreTextInternal::Paragraph::m_marginsFromParent[2]

the left and right margins from parent in inches

Referenced by Paragraph(), setLeftMargin(), setRightMargin(), and updateToFinalState().

bool MoreTextInternal::Paragraph::m_pageBreak

true if we need to add a page break before

Referenced by MoreText::readOutline(), and MoreText::sendTopic().

The documentation for this struct was generated from the following file:

- MoreText.cxx